Bug 466353 - RFE: add licensecheck.pl script from Debian devscripts package
RFE: add licensecheck.pl script from Debian devscripts package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmdevtools (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
http://packages.debian.org/source/sid...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 16:36 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2009-10-06 05:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: 7.5-1.fc11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 06:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-10-09 16:36:34 EDT
licensecheck.pl is a very useful tool for reviewers (and package maintainers) and I think it'd be good to have it in rpmdevtools. Please consider adding it.
Comment 1 John Poelstra 2008-10-10 19:33:04 EDT
This bug has been triaged
Comment 2 Ville Skyttä 2008-10-13 16:29:06 EDT
Looks interesting, thanks for the pointer.  Some thoughts though, feedback welcome:

While most of the devscripts package seems more or less Debian specific on surface, I wonder if the scripts or a sufficiently large subset of them would also work on Fedora - in that case it would be a good idea to ship devscripts as a separate ("debian-devscripts"?) package instead of cherry-picking stuff to rpmdevtools.

licensecheck.pl could (should?) be patched so that it outputs a suggestion of the value for the License tag.
Comment 3 Susi Lehtola 2009-07-22 19:00:02 EDT
Ping, please add this ASAP...
Comment 4 Ville Skyttä 2009-07-28 12:41:06 EDT
Done upstream (along with annotate-output, checkbashisms and manpage-alert), will be in the next release.

https://fedorahosted.org/rpmdevtools/changeset/60c55ed2b04231d10ce110befcf42378449b7fc7
Comment 5 Ville Skyttä 2009-08-21 06:05:13 EDT
Included in 7.4-1.
Comment 6 Dominik 'Rathann' Mierzejewski 2009-09-13 08:20:02 EDT
Could we get a F11 build, too?
Comment 7 Ville Skyttä 2009-09-13 17:17:19 EDT
I'll probably release 7.5 next week and push that to F-11+
Comment 8 Fedora Update System 2009-09-17 17:45:12 EDT
rpmdevtools-7.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmdevtools-7.5-1.fc11?_csrf_token=018644e6f79eac4e110aeac47d19804d64593771
Comment 9 Fedora Update System 2009-10-06 05:57:32 EDT
rpmdevtools-7.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.